package helmhelper

const (
	MOCK_LATEST_VERSION = "v1.12.1"
	MOCK_CHART_PATH     = ".charts/repo-release-latest/release-latest.gz"
)

type Mock struct{}

func NewHelmMock() Helmhelper {
	return &Mock{}
}

func (h *Mock) FindLatestVersion(workdir string, release *ReleaseData) (version string, err error) {
	return MOCK_LATEST_VERSION, nil
}

func (h *Mock) PullChart(workdirPath string, release *ReleaseData) (path string, err error) {
	return MOCK_CHART_PATH, nil
}

func (h *Mock) RenderChart(workdirPath string, release *ReleaseData) error {
	return nil
}
